import { Address } from "@/store/models/model";
import { removeDuplicates } from "./array";

export const displayAddresses = (addressIds: string[] | undefined, members: Address[]): string => {
    if (!addressIds) return "";
    addressIds = removeDuplicates(addressIds);
    let res = "";
    addressIds.forEach((addressId) => {
        const address = members?.find((member) => member.id === parseInt(addressId));
        if (address) res += address.email;
    });
    return res;
};
