import logger from "../../system/Logger";
import nodemailer, { Transporter } from "nodemailer";

export class SmtpInstance {
    transporter: Transporter;
    user: string;

    constructor(account: { user: string; password: string, smtp_host: string, smtp_port: number }) {
        this.user = account.user;
        this.transporter = nodemailer.createTransport({
            host: account.smtp_host,
            port: account.smtp_port,
            secure: true,
            auth: {
                user: account.user,
                pass: account.password,
            },
        });
    }

    sendMail(message: any) {
        console.log(this.user)
        console.log(message)
        // const msg = {
        //     from: "",
        //     to: "",
        //     subject: "Hello ✔",
        //     text: "Hello world?",
        //     html: "<b>Hello world?</b>",
        // };
        // this.transporter.sendMail(msg, (err, message) => {
        //     if (err) {
        //         logger.err(err);
        //         throw err;
        //     }
        //     logger.log(message);
        // });
    }
}
